package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag700;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT700Creator;

/**
 * @author hedonghao
 * @date 2023/2/20
 */
public class Tag44DCreator extends AbsTagCreate {

    private MT700Creator mt700Creator;

    public Tag44DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt700Creator= (MT700Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag44DCValue = mt700Creator.getShipmentPeriod();
        mt700Creator.set("44D", tag44DCValue);
    }
}
